Module ij
Package ij.macro

# Interface MacroExtension

public interface MacroExtension

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARG_ARRAY`
`static final int`
`ARG_NUMBER`
`static final int`
`ARG_OPTIONAL`
`static final int`
`ARG_OUTPUT`
`static final int`
`ARG_STRING`

## Method Summary

Modifier and Type
Method
Description
`ExtensionDescriptor[]`
`getExtensionFunctions()`
`String`
`handleExtension(String name, Object[] args)`

## Field Details

### ARG_STRING

static final int ARG_STRING

See Also:
  - Constant Field Values

### ARG_NUMBER

static final int ARG_NUMBER

See Also:
  - Constant Field Values

### ARG_ARRAY

static final int ARG_ARRAY

See Also:
  - Constant Field Values

### ARG_OUTPUT

static final int ARG_OUTPUT

See Also:
  - Constant Field Values

### ARG_OPTIONAL

static final int ARG_OPTIONAL

See Also:
  - Constant Field Values

## Method Details

### handleExtension

String handleExtension(String name, Object[] args)

### getExtensionFunctions

ExtensionDescriptor[] getExtensionFunctions()